.graph {
  :global(.react-flow__handle.connectionindicator) {
    cursor: default;
  }
  :global(.ant-select-dropdown-hidden) {
    display: none;
  }
}

.graph-node {
  &-container {
    display: flex;
    flex-direction: column;
    border: 1px solid var(--pr-border-color);
    background-color: var(--pr-accent-color-contrast);
    width: 260px;
    border-radius: 0.9rem;
    opacity: 1;
    transition:
      transform 0.2s ease-in-out,
      opacity 0.2s ease-in-out;

    &--start,
    &--active {
      --pr-border-color: var(--pr-accent-color);
      background-color: var(--pr-accent-color-very-light);
      color: var(--pr-accent-color);
      .graph-node-header {
        border-color: var(--pr-accent-color);
      }
    }

    &--end {
      --pr-border-color: rgb(100, 157, 159);
      background-color: rgb(231, 246, 246);
    }

    &--added,
    &--deleted {
      transform: scale3d(0.1, 0.1, 0.1);
      opacity: 0;
    }
  }
  &-empty-container {
    display: flex;
    flex-direction: column;
    width: 260px;
    height: 1px;
    border: 0;
    background-color: transparent;
  }
  &-add-container {
    display: flex;
    flex-direction: column;
    width: auto;
    height: auto;
    border: 0;
    background-color: transparent;
  }
  &-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0.8rem;

    &-icon {
      margin-right: 0.5rem;
      max-width: 1rem;
      max-height: 1rem;
    }

    &-title {
      font-weight: 600;
      display: flex;
      flex-direction: row;
      align-items: center;

      &-link {
        margin-left: 0.5rem;
      }
    }

    &-delete-btn {
      position: absolute;
      right: 0;
      background: none !important;
      opacity: 0;
      &:hover,
      &:focus {
        color: var(--pr-warning-color) !important;
      }
    }
    &:hover &-delete-btn,
    &-delete-btn:focus {
      opacity: 1;
    }
  }

  &-content {
    position: relative;
    padding: 0.8rem;
    font-size: 1rem;
    text-align: left;
    border-top: 1px solid var(--pr-border-color);

    &-label {
      text-overflow: ellipsis;
      overflow: hidden;
    }

    &--editable {
      cursor: pointer;
    }

    &-edit-btn {
      position: absolute;
      bottom: 0.5rem;
      right: 0.5rem;
    }
    &-copy-btn {
      display: inline-flex;
      flex-direction: row;
      align-items: center;
      background-color: var(--pr-accent-color);
      color: var(--pr-accent-color-contrast);
      padding: 0.3rem 0.5rem;
      border-radius: 0.3rem;

      svg {
        margin-left: 0.5rem;
      }
    }
  }

  &--condition {
    .graph-node-condition-content {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      max-width: calc(100% - 1.4rem);
      cursor: pointer;
    }
    .graph-node-content-edit-btn {
      position: relative;
      bottom: unset;
      right: unset;
      margin-left: 1rem;
      display: inline-block;
    }
  }

  &-popover {
    min-width: 30rem;

    :global(.pr-form) {
      max-height: 70vh;
      max-width: 30rem;
      overflow: auto;
    }

    :global(.pr-form-code__input) {
      max-height: 30vh;
    }

    &-title {
      font-weight: 600;
    }
  }
}
.graph-edge {
  &-button {
    background-color: var(--pr-accent-color);
    color: var(--pr-accent-color-contrast);
    padding: 0.5rem;
    border-radius: 0.3rem;
    z-index: 1;
  }
}

:global([data-color-scheme='dark']) {
  .graph {
    &-node-container {
      &--start {
        background-color: var(--pr-accent-color-very-dark);
      }
      &--end {
        background-color: var(--pr-accent-color-dark);
      }
      &--active {
        background-color: var(--pr-accent-color-very-dark);
        color: var(--pr-accent-color);
      }
    }
    :global(.react-flow__controls-button) {
      background: var(--pr-accent-color-dark);
      border-color: var(--pr-accent-color-very-dark);
    }
  }
}

.instructions-list {
  &-ctn {
    display: flex;
    flex-direction: column;
    position: relative;
  }
  display: flex;
  flex-direction: column;
  max-height: 50vh;
  max-width: 350px;
  width: 100vw;
  overflow: auto;
  &-group {
    &-header {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      margin: 0.5rem;
      &-icon {
        width: 1.4rem;
        height: 1.4rem;
        margin-right: 0.5rem;

        svg {
          width: 100%;
          height: 100%;
        }
      }
      &-title {
        font-weight: 700;
      }
    }
  }

  &-instructions {
    display: flex;
    flex-direction: column;
  }
  &-instruction {
    display: flex;
    flex-direction: row;
    text-align: left;
    border: 1px solid var(--pr-border-color);
    border-radius: 0.3rem;
    padding: 0.3rem 1rem;
    margin: 0.5rem;

    &-icon {
      display: flex;
      margin-top: 0.3rem;
      margin-right: 0.5rem;
      img {
        max-width: 1rem;
        object-fit: contain;
        object-position: top;
      }
    }
    &-texts {
      display: flex;
      flex-direction: column;
      max-width: calc(100% - 1rem);
    }

    &-name {
      font-weight: 600;
    }
    &-description {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
      max-width: 100%;
    }
  }
}
:global(.ant-popover-placement-top) .instructions-list-ctn {
  padding-bottom: 3rem;
}
:global(.ant-popover-placement-top) .instructions-search {
  position: absolute;
  bottom: 0;
}

.edit-condition {
  display: flex;
  flex-direction: row;
  align-items: flex-end;

  :global(.pr-form-submit) {
    margin-left: 0.5rem;
  }
}

.schedule {
  border-left: 2px solid var(--pr-accent-color-very-light);
  padding-left: 1rem;
  margin-bottom: 1rem;
  &-cron-editor {
    &:global(.react-js-cron) {
      margin-top: 1rem;
    }
    :global(.ant-select-selection-overflow) {
      flex: unset;
    }
  }
}
